Bug 145638 - autofs doesn't pick up ldap based maps after firstboot.
autofs doesn't pick up ldap based maps after firstboot.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-20 06:29 EST by Iain Rae
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-07 17:38:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Iain Rae 2005-01-20 06:29:53 EST
Description of problem:

Once installed nfs mounted home directories are unavailable until the autofs
service is restarted or the PC is rebooted. autofs maps (auto.master, auto.home
etc) are distributed via ldap and autofs can't see them after ldap has been
configured in firstboot.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Configure home directories to be NFS mounted and distribute maps via ldap
2.Install PC with FC3, allow it to reboot into firstboot and configure user
information via ldap
3. Follow installation until you have a login screen.
4. Attempt to login
  
Actual results:

login fails, can't find home directory

Expected results:

you ought to be able to login.


Additional info:

logging in as root and doing ls /home/user fails, however restarting autofs or
rebooting the PC brings everything back.

Presumably something ought to give autofs a kick once ldap has been configured.
Comment 1 Stephen Walton 2005-05-13 17:30:04 EDT
This is a bug already reported in bug 67753.  The basic problem is that autofs
is started before ldap instead of afterwards in the standard startups.
Comment 2 Tomas Mraz 2005-07-14 05:44:36 EDT
Stephen, but the reporter is stating here that rebooting the PC works.
If the bug 67753 would still apply reboot shouldn't help.
Comment 3 Tomas Mraz 2005-09-08 10:09:58 EDT
This is really strange as autofs is restarted as part of the firstboot
configuration after the settings are saved.
This was fixed already in FC3.

Could you please try FC4 if it helps?

Also with enabled or permissive SELinux there should appear 'kernel: SELinux:
initialized (dev autofs, type autofs), uses genfs_contexts' in the
/var/log/messages indicating that autofs has been restarted.
Comment 4 Tomas Mraz 2005-11-07 17:38:17 EST
No response from reporter.

Note You need to log in before you can comment on or make changes to this bug.